### Method

# Gck Session find_objects_async

#### Declaration [src]

    void
    gck_session_find_objects_async (
      GckSession* self,
      GckAttributes* match,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Find the objects matching the passed attributes. This call will return immediately and complete asynchronously.

If the `match` `GckAttributes` is floating, it is consumed.

This method completes asynchronously. Use `gck_session_find_objects_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`match`

  Type: `GckAttributes`

  The attributes to match.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.